Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.callsite
[Java] Class GetEffectivePogoFieldSite

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.AbstractCallSite
          org.codehaus.groovy.runtime.callsite.GetEffectivePogoFieldSite

    public class GetEffectivePogoFieldSite
    extends AbstractCallSite

Field Summary

Fields inherited from class AbstractCallSite
array, index, name

Constructor Summary
`GetEffectivePogoFieldSite(CallSite site, MetaClass metaClass, CachedField effective)`

Method Summary
`CallSite` | `acceptGetProperty(java.lang.Object receiver)`
`CallSite` | `acceptGroovyObjectGetProperty(java.lang.Object receiver)`
`java.lang.Object` | `callGetProperty(java.lang.Object receiver)`
`java.lang.Object` | `callGroovyObjectGetProperty(java.lang.Object receiver)`
`java.lang.Object` | `getProperty(java.lang.Object receiver)`

Methods inherited from class AbstractCallSite
acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GetEffectivePogoFieldSite

    public GetEffectivePogoFieldSite(CallSite site, MetaClass metaClass, CachedField effective)

Method Detail

### acceptGetProperty

    public final CallSite acceptGetProperty(java.lang.Object receiver)

### acceptGroovyObjectGetProperty

    public final CallSite acceptGroovyObjectGetProperty(java.lang.Object receiver)

### callGetProperty

    public final java.lang.Object callGetProperty(java.lang.Object receiver)

### callGroovyObjectGetProperty

    public final java.lang.Object callGroovyObjectGetProperty(java.lang.Object receiver)

### getProperty

    public final java.lang.Object getProperty(java.lang.Object receiver)

Groovy Documentation